<div class="left">
  <div (click)="update()"
       *ngIf="updateVersion"
       [matTooltip]="'app.status.newVersionAvailable' | translate"
       class="update-version"
  >
    <solidify-icon [iconName]="iconNameEnum.update"></solidify-icon>
  </div>
  <button (click)="openCookieConsentSideBar()"
          [matTooltip]="labelTranslateEnum.privacy | translate"
          class="privacy"
          mat-icon-button
          type="button"
  >
    <solidify-icon [iconName]="iconNameEnum.privacy"
                   class="size-20"
    ></solidify-icon>
  </button>
</div>

<div class="copyrights">
  All rights reserved by <a href="https://dlcm.ch/"
                            target="_blank"
>DLCM</a> and the <a href="https://www.unige.ch/"
                     target="_blank"
>University
 of Geneva</a>
  <solidify-icon [iconName]="(darkModeObs | async) ? iconNameEnum.unigeWhite : iconNameEnum.unigeBlack"
                 class="size-20 unige"
  ></solidify-icon>
</div>

<div class="right">
  <div *ngIf="environment.coreTrustSealEnabled"
       class="core-trust-seal"
  >
    <a [href]="environment.coreTrustSealUrl"
       target="_blank"
       class="no-hover-animation"
       [matTooltipPosition]="'above'"
       [matTooltip]="labelTranslateEnum.coreTrustSealCertification | translate"
    >
      <img class="core-trust-seal-image"
           src="assets/images/core-trust-seal.png"
      >
    </a>
  </div>
  <dlcm-shared-toc [apis]="apisObs | async"
                   [integrationGuide]="integrationGuideObs | async"
                   [isLoading]="isLoadingDocObs | async"
                   [toolsGuide]="toolsGuideObs | async"
                   (aboutChange)="navigateToAbout()"
                   class="toc"
  ></dlcm-shared-toc>
  <a [routerLink]="routesEnum.about"
     [matTooltipPosition]="'left'"
     [matTooltip]="labelTranslateEnum.about | translate"
     class="about"
     mat-icon-button
     type="button"
  >
    <solidify-icon [iconName]="iconNameEnum.about"
                   class="size-18"
    ></solidify-icon>
  </a>
</div>
